package model.questionnaire;

import com.github.cliftonlabs.json_simple.JsonObject;

import java.util.ArrayList;
import java.util.List;

public class Questionnaire{

    private static List<Questionnaire> sQuestionnaires = new ArrayList<>();
    private List<Question> fQuestions;
    private String fName;

    public Questionnaire(String iName, List<Question> iQuestions)
    {
        fName = iName;
        fQuestions = iQuestions;
        sQuestionnaires.add(this);
    }

    public static Questionnaire getTheOnlyExistingQuestionnaire(){
        return sQuestionnaires.stream().findFirst().get();
    }

    public JsonObject asJsonObject(){
        JsonObject vResult = new JsonObject();
        vResult.put("name", fName);
        vResult.put("questions",fQuestions);
        return vResult;
    }
}
